@echo off

Set CheckOS=%TMP%\CheckOS.txt
Set StringCheck=%TMP%\StringCheck.txt

Set RegQry=HKLM\Hardware\Description\System\CentralProcessor\0

REG.exe Query %RegQry% > %CheckOS% 
 
Find /i "x86" < %CheckOS% > %StringCheck%

If %ERRORLEVEL% == 0 (

	del %CheckOS%
	del %StringCheck%
	Echo "32 Bit Operating system detected, installing 32 bit version"
	copy "%~dp0x86\MvDSS.ax" "%windir%\system32\"

	cd /d "%windir%\system32\"
	regsvr32.exe /s "%windir%\system32\MvDSS.ax"

) ELSE (

	del %CheckOS%
	del %StringCheck%
	Echo "64 Bit Operating System detected, installing 64 bit and 32 bit versions"
	copy "%~dp0x64\MvDSS.ax" %windir%\system32\"
	copy "%~dp0x86\MvDSS.ax" %windir%\SysWOW64\"

	cd /d "%windir%\system32\"
	regsvr32.exe /s "%windir%\system32\MvDSS.ax"

	cd /d "%windir%\SysWOW64\"
	regsvr32.exe /s "%windir%\SysWOW64\MvDSS.ax"
)


pause
